#ifndef AD8320_H_INCLUDED
#define AD8320_H_INCLUDED

/* Set set gain of ad8320 */
static void prog_ad8320(
	unsigned char target,	/* addressing to chip */
	unsigned char gain
	)
{
	prog_select(target, 1);	/* start sending data to target chip */

	prog_val(target, gain, 8);		/* gain level 0..255 */

	prog_select(target, 0);	/* done sending data to target chip */

}

#endif /* AD8320_H_INCLUDED */
