#ifndef AD8321_H_INCLUDED
#define AD8321_H_INCLUDED

/* Set set gain of ad8321 */
static void prog_ad8321(
	unsigned char target,	/* addressing to chip */
	unsigned char gain
	)
{
	prog_select(target, 1);	/* start sending data to target chip */

	prog_val(target, gain, 8);		/* gain level 0..71 */

	prog_select(target, 0);	/* done sending data to target chip */

}

#endif /* AD8321_H_INCLUDED */
