// not tested at all.

#ifndef AD9851_H_INCLUDED
#define AD9851_H_INCLUDED

extern const phase_t phase_0;

/* programming AD9850/AD9851 */

/* set frequency tuning word1 to DDS */
static void prog_ad9851_freq(
	unsigned char target,	/* addressing to chip */
	const phase_t * val,
	unsigned char ddsmult
	)
{
	enum { r = PHASE_RESOLUTION < 32 ? PHASE_RESOLUTION : 32 };
	enum { z = 32 - r };


	prog_select(target, 1);	/* start sending data to target chip */

	prog_val(target, 0, 5);		/* write phase code: all zeroes */
	prog_val(target, 0, 1);		/* power-down bit: 0 */
	prog_val(target, 0, 1);		/* reserved bit: 0 */
	prog_val(target, ddsmult == 6, 1);		/* multiplier: 0 */

	prog_phbits(target, val, r, r);
	prog_phbits(target, & phase_0, z, z);

	prog_select(target, 0);	/* done sending data to target chip */
}


/* complex init */


void prog_ad9851_init(
	unsigned char target,	/* addressing to chip */
	unsigned char powerdown,
	unsigned fqscale
			 )
{
	prog_ad9851_freq(target, & phase_0, fqscale);
	prog_pulse_ioupdate();
}

#endif /* AD9851_H_INCLUDED */
