//
// mt-10t7.h


void mt10t7_init(void);
void mt10t7_dispfreq(unsigned long freq, unsigned char mode, unsigned char special);

void ws1602_initialize(void);
void ws1602_dispfreq(unsigned long freq);
void ws1602_dispmode(
	const char * mode, 
	unsigned char noaccelerate, 
	unsigned char att, 
	unsigned char lock, 
	const char * agcmode, 
	const char * bw);

void ws1602_update(void);	// one step updating information
void ws1602_message(const char * s);	//  


void lcd_menu_name(
	unsigned char paramno,	/* zero-based parameter index */
	const char * paramname	/* parameter name string */
	);
void lcd_menu_value(
	unsigned long freq,
	unsigned char width,	// full width
	unsigned char comma,		// comma position (from right, inside width)
	unsigned char rj		// right truncated
	);
void lcd_clear(void);

#define lcd_dispfreq ws1602_dispfreq
#define lcd_dispmode ws1602_dispmode
//#define lcd_dispfreq mt10t7_dispfreq
